module AboutYou
  module SDK
    module Model
      ###
      # This class represents a Terms Count model.
      #
      # author:: Collins GmbH & Co KG
      ###
      class TermsCounts
        # count of total products
        attr_accessor :product_count_total
        # count of products without facet
        attr_accessor :product_count_with_other_facet
        # count of products with other facets
        attr_accessor :product_count_without_any_facet

        ###
        # the Constructor for the terms count class
        #
        # * *Args*    :
        #   - +product_count_total+ -> the total productcount
        #   - +product_count_with_other_facet+ -> the productcount without any facets
        #   - +product_count_without_any_facet+ -> the productcount with other facets
        #
        # * *Returns* :
        #   - Instance of AboutYou::SDK::Model::TermsCount
        ###
        def initialize(
            product_count_total,
            product_count_with_other_facet,
            product_count_without_any_facet
          )
          self.productCountTotal           = product_count_total
          self.product_count_with_other_facet  = product_count_with_other_facet
          self.product_count_without_any_facet = product_count_without_any_facet
        end
      end
    end
  end
end
