module AboutYou
  module SDK
    module Model
      ###
      # This Class represents a brand model
      ###
      class Brand
        # the id of the brand
        attr_accessor :id
        # the name of the brand
        attr_accessor :name

        ###
        # This method is used for creating an instance of this class by a json_object.
        #
        # * *Args*    :
        #   - +json_object+ -> the json_object received from the api
        #
        # * *Returns* :
        #   - Instance of AboutYou::SDK::Model::Brand
        ###
        def self.create_from_json(json_object)
          brand = new

          brand.id       = json_object['id']
          brand.name     = json_object['name']

          brand
        end
      end
    end
  end
end
